package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.remind.WaitRemind;

import java.util.List;


/**
 * 待办提醒Mapper接口
 * 
 * @author boman
 * @date 2024-04-29
 */
public interface WaitRemindMapper 
{
    /**
     * 查询待办提醒
     * 
     * @param remindId 待办提醒主键
     * @return 待办提醒
     */
    public WaitRemind selectWaitRemindByRemindId(Integer remindId);
    //查询所有保后的待办信息
    public List<WaitRemind> selectWaitRemindByLoanApplicationId(Long LoanApplicationId);

    /**
     * 查询待办提醒列表
     * 
     * @param waitRemind 待办提醒
     * @return 待办提醒集合
     */
    public List<WaitRemind> selectWaitRemindList(WaitRemind waitRemind);

    /**
     * 新增待办提醒
     * 
     * @param waitRemind 待办提醒
     * @return 结果
     */
    public int insertWaitRemind(WaitRemind waitRemind);
    public int batchWaitRemind(List<WaitRemind> waitRemind);

    /**
     * 修改待办提醒
     * 
     * @param waitRemind 待办提醒
     * @return 结果
     */
    public int updateWaitRemind(WaitRemind waitRemind);

    /**
     * 删除待办提醒
     * 
     * @param remindId 待办提醒主键
     * @return 结果
     */
    public int deleteWaitRemindByRemindId(Integer remindId);
    public int deleteWaitRemindByReadUserId(WaitRemind waitRemind);
    public int deleteWaitRemindByLoanApplicationId(WaitRemind waitRemind);

    /**
     * 批量删除待办提醒
     * 
     * @param remindIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWaitRemindByRemindIds(Integer[] remindIds);
}
